Name:           sentinella
Version:        0.8.0
Release:        %mkrel 1
Summary:        Monitors your system activity and takes chosen action
Group:          Graphical desktop/KDE4
License:        GPLv2+
URL:            http://sentinella.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/%{name}/0.7.x/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  cmake qt4-devel kdelibs4-devel libsysactivity-devel desktop-file-utils
BuildRequires:	gettext
Requires:	libsysactivity

%description
Application that monitors your system activity and, when a condition is met, 
takes the action that you've chosen.
While monitoring your CPU, memory, hard drive and network usage, Sentinella 
can be programmed to take specific actions when set-points for utilization 
or time are met. It can power off, reboot or hibernate your system, 
kill an active process, throw an alarm or execute any command.

Sentinella integrates perfectly with KDE4 and will work on many *nix systems.

%prep
%setup -q

## to prevent spurious-executable-perm in -debuginfo
chmod -x src/Actions/Sleep.h
chmod -x src/Actions/PlayAlarm.cpp
chmod -x src/Actions/KillProcess.h
chmod -x src/Actions/ExecuteCommand.h
chmod -x src/Actions/ExecuteCommand.cpp
chmod -x src/Conditions/ProcessDies.h
chmod -x src/Actions/PlayAlarm.h
chmod -x src/Actions/KillProcess.cpp
chmod -x src/Actions/Sleep.cpp
chmod -x src/Conditions/ProcessDies.cpp

%build
%cmake_kde4 
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build
%find_lang Sentinella --with-kde

find . -type f -name 'ui_*.h' -exec chmod 0644 {} ';'

desktop-file-install --vendor="" \
 --remove-category="Application" \
 --add-category="X-MandrivaLinux-System-Monitoring" \
 --dir %{buildroot}%{_kde_datadir}/applications/kde4/ \
 %{buildroot}%{_kde_datadir}/applications/kde4/*


%clean
rm -rf %{buildroot}


%files -f Sentinella.lang
%defattr(-,root,root,-)
%doc CHANGELOG COPYING
%{_bindir}/sentinella
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_datadir}/sounds/Sentinella
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/locale

%changelog
* Mon Feb 21 2011 Texstar <texstar at gmail.com> 0.8.0-1pclos2011
- 0.8.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.7.0-2pclos2010
- rebuild for 4.5.1

* Sun Jul 11 2010 Texstar <texstar at gmail.com> 0.7.0-1pclos2010
- import into pclos

